Mercurial > noffle
view debian/init @ 500:614a3177b15c noffle tip
Add mail-from option.
Some modern mail systems will try and ensure the sender email is a legitimate
address. Which will fail if there isn't such an address.
author | Jim Hague <jim.hague@acm.org> |
---|---|
date | Wed, 14 Aug 2013 12:04:39 +0100 |
parents | 0c7220ddf348 |
children |
line wrap: on
line source
#!/bin/sh # $Id: init 615 2003-08-31 15:16:28Z godisch $ set -e PATH="/bin:/usr/bin:/sbin:/usr/sbin" NOFFLE="/usr/bin/noffle" help () { echo "Usage: /etc/init.d/noffle { online | offline }" >&2 } if [ ! -x "$NOFFLE" ]; then # echo "Cannot execute noffle: program not found." >&2 # exit 5 # LSB: program is not installed exit 0 # Debian policy: exit quietly, see #206928 fi if [ "$2" ]; then help exit 2 # LSB: invalid or excess argument(s) fi if [ -x /usr/sbin/pppd ]; then NOFFLE_FETCHMODE="ppp" else NOFFLE_FETCHMODE="cron" fi if [ -f /etc/default/noffle ]; then . /etc/default/noffle fi case "$1" in start) echo "Initializing offline news server..." if [ "$NOFFLE_FETCHMODE" = ppp ]; then "$NOFFLE" --offline else "$NOFFLE" --online fi echo "Done." ;; stop) echo "Switching offline news server into offline mode..." "$NOFFLE" --offline echo "Done." ;; restart) echo "No action done, as noffle is restarted upon each query." ;; reload|force-reload) echo "No action done, as noffle reloads its configuration upon each query." ;; status) help exit 4 # LSB: program or service status is unknown ;; online|offline) echo "Switching offline news server into $1 mode..." "$NOFFLE" --$1 echo "Done." ;; *) help exit 2 # LSB: invalid or excess argument(s) esac exit 0